Package net.commoble.exmachina.api

# Enum Class SignalStrength

java.lang.Object
java.lang.Enum<SignalStrength>
net.commoble.exmachina.api.SignalStrength

All Implemented Interfaces:
  `Serializable`, `Comparable<SignalStrength>`, `Constable`

public enum SignalStrength extends Enum<SignalStrength>
Indicator of strong (conducting) vs weak (nonconducting) redstone power

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`STRONG`
Strong (conducting) redstone power
`WEAK`
Weak (non-conducting) redstone power

## Method Summary

Modifier and Type
Method
Description
`SignalStrength`
`max(SignalStrength that)`
Combines another SignalStrength with this one and returns the stronger of the two.
`static SignalStrength`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SignalStrength[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WEAK

public static final SignalStrength WEAK
Weak (non-conducting) redstone power

### STRONG

public static final SignalStrength STRONG
Strong (conducting) redstone power

## Method Details

### values

public static SignalStrength[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SignalStrength valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### max

public SignalStrength max(SignalStrength that)
Combines another SignalStrength with this one and returns the stronger of the two.

Parameters:
  `that` - SignalStrength to compare to
Returns:
  the stronger of these two signal strengths